//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

textures/aadel_9day_1/sky2
{
	qer_editorimage textures/aadel_9day_1/env/toxic.tga
   
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_skyLight 20 3
	q3map_sunExt 0.9 0.9 1 150 -126 19 2 12
   
	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	
	nopicmip
	nomipmaps
   
	skyparms textures/aadel_9day_1/env/black 1337 -
   
	{
		map textures/aadel_9day_1/env/clouds_2.tga
		tcMod scale 1.5 1.5
		tcMod scroll 0.01 0.0175
		rgbGen identityLighting
	}
	{
		clampMap textures/aadel_9day_1/env/toxic.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
		tcMod transform 0.75 0 0 0.75 -0.678 -0.678
		tcMod stretch sin 1 0.1 0 .04
		rgbGen identityLighting
	}
}


//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_9day_1/water
{
	qer_editorimage textures/aadel_9day_1/wvw_water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 4 0.4 0.5 0.4	//wave size, R, B, G 

        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water

        cull none
	nopicmip

	fogparms ( 0.33 0.2 0 ) 512
        {
            map textures/aadel_9day_1/wvw_water.tga
            blendFunc blend
            tcMod scale 0.5 0.5
            rgbGen const ( 0.33 0.2 0 )
	    tcMod turb 0.1 0.1 0.1 .1
        }
        {
            map textures/aadel_9day_1/wvw_water.tga
            blendFunc blend
            rgbGen const ( 0.33 0.2 0 )
            tcMod scroll .05 -.01
        }
        {
            map textures/aadel_9day_1/wvw_water.tga
            blendFunc blend
            rgbGen const ( 0.33 0.2 0 )
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 .1
        }
}
textures/aadel_9day_1/watercaulk
{
	qer_editorimage textures/aadel_9day_1/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_9day_1/iron_support-x
{
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	nopicmip
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_9day_1/iron_support-x.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
textures/aadel_9day_1/ladder-y
{
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	nopicmip
	qer_alphaFunc qequal 0.5
	{
		map textures/aadel_9day_1/ladder-y.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
//textures/aadel_9day_1/wall_light1
//{
//	q3map_lightimage textures/aadel_9day_1/light_white.tga
//	q3map_lightsubdivide 64	
//	q3map_forceMeta
//	q3map_vertexScale 1.2
//	q3map_lightmapFilterRadius 0 8
//	q3map_surfacelight 2000 
//	surfaceparm pointlight
//        {
//              map textures/aadel_9day_1/wall_light1.tga
//		rgbgen identity
//        }	
//        {
//                map textures/aadel_9day_1/wall_light1_add.tga
//		blendfunc add
//		rgbgen identity
//        }
//}
//textures/aadel_9day_1/street_light1
//{
//	q3map_lightimage textures/aadel_9day_1/light_white.tga
//	q3map_lightsubdivide 64	
//	q3map_forceMeta
//	q3map_vertexScale 1.2
//	q3map_lightmapFilterRadius 0 8
//	q3map_surfacelight 2000 
//	surfaceparm pointlight
//        {
//                map textures/aadel_9day_1/street_light1.tga
//		rgbgen identity
//        }	
//        {
//                map textures/aadel_9day_1/street_light1_add.tga
//		blendfunc add
//		rgbgen identity
//        }
//}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_9day_1/grass_mud_phong
{
	qer_editorimage textures/aadel_9day_1/ground1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_9day_1/ground2.tga
	}
	{
		map textures/aadel_9day_1/ground1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_9day_1/rockky_phong
{
	qer_editorimage textures/aadel_9day_1/rocky.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_9day_1/rocky2.tga
	}
	{
		map textures/aadel_9day_1/rocky.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_9day_1/wall06_dull
{
	qer_editorimage textures/aadel_9day_1/wall06_dull.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_9day_1/wall06_dull.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_9day_1/decal_crasse04
{
	qer_editorimage textures/aadel_9day_1/crasse04.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/crasse04.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_crasse05
{
	qer_editorimage textures/aadel_9day_1/crasse05.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/crasse05.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_crasse07
{
	qer_editorimage textures/aadel_9day_1/crasse07.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/crasse07.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_keres4_decal31
{
	qer_editorimage textures/aadel_9day_1/keres4_decal31.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/keres4_decal31.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_keres4_decal35
{
	qer_editorimage textures/aadel_9day_1/keres4_decal35.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/keres4_decal35.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_keres4_decal35
{
	qer_editorimage textures/aadel_9day_1/keres4_decal35.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/keres4_decal35.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_brix01
{
	qer_editorimage textures/aadel_9day_1/brix01.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/brix01.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_tag_anarchy
{
	qer_editorimage textures/aadel_9day_1/tag_anarchy.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/tag_anarchy.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/decal_tag_arlek
{
	qer_editorimage textures/aadel_9day_1/tag_arlek.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_9day_1/tag_arlek.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_9day_1/del_moss_leak
{
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/aadel_9day_1/del_moss_leak.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_9day_1/leak_a
{
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/aadel_9day_1/leak_a.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_9day_1/del_beam1
{
	qer_editorimage textures/aadel_9day_1/del_beam1.tga
	nopicmip
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.7
	cull none
	deformvertexes autosprite2
	{
		map textures/aadel_9day_1/del_beam1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}
textures/aadel_9day_1/metal_fence
{
	qer_editorimage textures/aadel_9day_1/metal_sheet.tga
	q3map_lightmapSampleSize 4
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	nopicmip
	q3map_cloneshader textures/aadel_9day_1/metal_fence_back
	{
		map textures/aadel_9day_1/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_9day_1/metal_fence_back
{
	qer_editorimage textures/aadel_9day_1/metal_sheet.tga
	q3map_lightmapSampleSize 4
	surfaceparm alphashadow
	surfaceparm trans
	sort 9
	nopicmip
	q3map_invert
	{
		map textures/aadel_9day_1/metal_sheet.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_9day_1/light_corona
{
	qer_editorimage textures/aadel_9day_1/corona.tga
	deformvertexes autosprite
	
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	
	cull none
	nopicmip
	{
		map textures/aadel_9day_1/corona.tga
		blendfunc add
		rgbgen identity
	}
}
textures/aadel_9day_1/ladderclip
{
	qer_trans 0.40
	qer_editor_image textures/aadel_9day_1/ladderclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}
textures/aadel_9day_1/clip_nokick
{
	qer_editorimage textures/aadel_9day_1/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
}
textures/aadel_9day_1/black_fog
{
	qer_editorimage textures/aadel_9day_1/fog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm fog
	fogparms ( 0 0 0 ) 1024
	q3map_bouncescale 0
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
